ランタイム: Mix::Scene::IRendererObject Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | List of all members
Mix::Scene::IRendererObject Class Referenceabstract

レンダラーオブジェクトインターフェースインクルードファイル More...

`#include <IRendererObject.h>`

Inheritance diagram for Mix::Scene::IRendererObject:
[legend]
Collaboration diagram for Mix::Scene::IRendererObject:
[legend]

## Public Types

enum

TYPE {
UNDEFINED = 0, UNIVERSAL_CAMERA = 1, VIEW_CAMERA = 2, HEMISPHERE_LIGHT = 3,
DIRECTIONAL_LIGHT = 4, SPOT_LIGHT = 5, POINT_LIGHT = 6, SKY_DOME = 7,
ATMOSPHERE_SCATTER = 8, LIGHT_SHAFTS_CASTER = 9, ACTOR_NODE = 10, ACTOR_MODEL = 11,
TERRAIN_MODEL = 12, LEAVING_PARTICLE = 13, SCATTER_PARTICLE = 14, PLANTER = 15,
WATER_POOL = 16, DYNAMICS_WORLD = 17, FLOOR = 18, GHOST = 19
}

| タイプ列挙定数 More...

## Public Member Functions

virtual Mix::Scene::IRendererObject::TYPE | GetType (void) const =0
| 種類を取得します More...
virtual Boolean | IsRendering (void) const =0
| レンダリングされているかどうかを確認します。 More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IRendererObject (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

レンダラーオブジェクトインターフェースインクルードファイル

## Member Enumeration Documentation

enum Mix::Scene::IRendererObject::TYPE

タイプ列挙定数

Enumerator
UNDEFINED | 定義されていないレンダラーオブジェクト
UNIVERSAL_CAMERA | ユニバーサルカメラ
VIEW_CAMERA | ビューカメラ
HEMISPHERE_LIGHT | ヘミスフィアライト
DIRECTIONAL_LIGHT | ディレクショナルライト
SPOT_LIGHT | スポットライト
POINT_LIGHT | ポイントライト
SKY_DOME | スカイドーム
ATMOSPHERE_SCATTER | 大気スキャッター
LIGHT_SHAFTS_CASTER | ライトシャフトキャスター
ACTOR_NODE | アクターノード
ACTOR_MODEL | アクターモデル
TERRAIN_MODEL | テラインモデル
LEAVING_PARTICLE | リービングパーティクル
SCATTER_PARTICLE | スキャッターパーティクル
PLANTER | プランター
WATER_POOL | ウォータープール
DYNAMICS_WORLD | ダイナミクスワールド
FLOOR | フロア
GHOST | ゴースト

## Constructor & Destructor Documentation

virtual Mix::Scene::IRendererObject::~IRendererObject | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual Mix::Scene::IRendererObject::TYPE Mix::Scene::IRendererObject::GetType | ( | void |  | ) | const

pure virtual

種類を取得します

Returns
  種類タイプを表す Mix::Scene::IRendererObject::TYPE 列挙定数を返します

virtual Boolean Mix::Scene::IRendererObject::IsRendering | ( | void |  | ) | const

pure virtual

レンダリングされているかどうかを確認します。

Returns
  レンダリングされている場合は True を返します。

The documentation for this class was generated from the following file:

- Mix/Scene/IRendererObject.h